model, for example:gpt-4o / gpt-4o-audio-preview → OpenAIgemini-2.5-flash-all → Google Gemini (compatible format)GET /v1/modelsAuthorization: Bearer ********************curl --location 'https://api.key4u.vn/v1/chat/completions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"extra_body": {
"enable_thinking": true
},
"messages": [
{
"content": "There are three boxes, and only one contains a prize. You choose box 2. The host opens box 3 (empty) and asks whether you want to switch to box 1. Analyze the situation and provide a recommendation.",
"role": "user"
}
],
"model": "deepseek-chat",
"stream": true,
"stream_options": {
"include_usage": true
}
}'{
"choices": [
{
"finish_reason": "stop",
"index": 0,
"logprobs": "",
"message": {
"annotations": [],
"content": "\n\nHello there, how may I assist you today?",
"refusal": "",
"role": "assistant"
}
}
],
"created": 1677652288,
"id": "chatcmpl-123",
"model": "gpt-4o",
"object": "chat.completion",
"service_tier": "default",
"system_fingerprint": "fp_abc123",
"usage": {
"completion_tokens": 12,
"completion_tokens_details": {
"accepted_prediction_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0,
"rejected_prediction_tokens": 0
},
"latency_checkpoint": {
"engine_tbt_ms": 0,
"engine_ttft_ms": 0,
"engine_ttlt_ms": 0,
"pre_inference_ms": 0,
"service_tbt_ms": 0,
"service_ttft_ms": 0,
"service_ttlt_ms": 0,
"total_duration_ms": 0,
"user_visible_ttft_ms": 0
},
"prompt_tokens": 9,
"prompt_tokens_details": {
"audio_tokens": 0,
"cached_tokens": 0
},
"total_tokens": 21
}
}